Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
zksync
/
batches
List batches.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/zksync/batches \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "commit_transaction_hash": "<string>",
      "commit_transaction_timestamp": "2023-11-07T05:31:56Z",
      "execute_transaction_hash": "<string>",
      "execute_transaction_timestamp": "2023-11-07T05:31:56Z",
      "number": 1,
      "prove_transaction_hash": "<string>",
      "prove_transaction_timestamp": "2023-11-07T05:31:56Z",
      "timestamp": "2023-11-07T05:31:56Z",
      "transactions_count": 1
    }
  ],
  "next_page_params": {
    "number": 502655
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

items_count
integer

Number of items per page

Required range: x >= 1
number
integer

Number for paging

Response

List of batches.

items
ZkSync.BatchListItem · object[]
required
next_page_params
object
required
Example:
{ "number": 502655 }